[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# GUIDToString

Convert a TGUID to a string representation.

## Declaration

Source position: intfh.inc line 42

`function GUIDToString(`
`const GUID: TGuid`
`):string;`

## Description

GUIDToString converts the GUID identifier in GUID to a string representation in the form

    {XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX}

Where each X is a hexadecimal digit.

## Errors

None.

## See also

Supports |  | Check whether a class or given interface supports an interface
#rtl.system.TGUID |  | Standard GUID representation type.
StringToGUID |  | Convert a string to a native TGUID type.
IsEqualGuid |  | Check whether two TGUID variables are equal.

Documentation generated on: Feb 26 2014